Error reporting internals
D-Bus secret internal implementation details

Error reporting internals. More...

## Data Structures

struct | DBusRealError
| Internals of DBusError. More...

## Macros

#define | DBUS_ERROR_INIT { NULL, NULL, TRUE, 0, 0, 0, 0, NULL }
| Expands to a suitable initializer for a DBusError on the stack.

## Functions

| _DBUS_STATIC_ASSERT (sizeof(DBusRealError)==sizeof(DBusError))

## Detailed Description

Error reporting internals.

## Macro Definition Documentation

## DBUS_ERROR_INIT

#define DBUS_ERROR_INIT { NULL, NULL, TRUE, 0, 0, 0, 0, NULL }

Expands to a suitable initializer for a DBusError on the stack.

Declaring a DBusError with:

DBusError error = DBUS_ERROR_INIT;
do_things_with (&error);
DBUS_ERROR_INIT
#define DBUS_ERROR_INIT
Expands to a suitable initializer for a DBusError on the stack.
Definition dbus-errors.h:64
DBusError
Object representing an exception.
Definition dbus-errors.h:51

is a more concise form of:

DBusError error;
dbus_error_init (&error);
do_things_with (&error);
dbus_error_init
void dbus_error_init(DBusError *error)
Initializes a DBusError structure.
Definition dbus-errors.c:190

Definition at line 64 of file dbus-errors.h.

Referenced by _dbus_read_local_machine_uuid(), _dbus_read_uuid_file(), _dbus_resolve_pid_fd(), _dbus_transport_open(), _dbus_transport_open_platform_specific(), dbus_connection_register_fallback(), dbus_connection_register_object_path(), dbus_get_local_machine_id(), and dbus_server_listen().